Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser
Class BrowserHistory

    java.lang.Object
      org.gjt.jclasslib.browser.BrowserHistory

public class BrowserHistory
extends Object

Manages the navigation history of a single child window.

Version:
  $Revision: 1.5 $ $Date: 2003/08/18 08:06:46 $
Author:
  Ingo Kegel

Constructor Summary
`BrowserHistory(BrowserServices services)` Constructor.

Method Summary
`void` | `clear()` Clear the navigation history.
`void` | `historyBackward()` Move one step backward in the navigation history.
`void` | `historyForward()` Move one step forward in the navigation history.
`void` | `updateActions()` Update the availability of the actions associated with the navigation history.
`void` | `updateHistory(TreePath newPath)` Add a navigation step to the history.
`void` | `updateHistory(TreePath newPath, Integer offset)` Add a navigation step to the history.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserHistory

    public BrowserHistory(BrowserServices services)

  Constructor.

Parameters:
  `services` - the associated browser services.

Method Detail

### clear

    public void clear()

  Clear the navigation history.

### historyBackward

    public void historyBackward()

  Move one step backward in the navigation history.

### historyForward

    public void historyForward()

  Move one step forward in the navigation history.

### updateActions

    public void updateActions()

  Update the availability of the actions associated with the navigation history.

### updateHistory

    public void updateHistory(TreePath newPath)

  Add a navigation step to the history.

  Parameters:
    `newPath` - the selected tree path in `BrowserTreePane`

### updateHistory

    public void updateHistory(TreePath newPath,
                              Integer offset)

  Add a navigation step to the history.

  Parameters:
    `newPath` - the selected tree path in `BrowserTreePane`
    `offset` - the target's offset in the code. `Null` if not applicable.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD